Bug 243907 - avc denied related to kdm.log
avc denied related to kdm.log
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 13:28 EDT by Jochen Schmitt
Modified: 2008-05-14 11:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6.4-70.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 11:19:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2007-06-12 13:28:39 EDT
I will get the folowing messages when I use kdm:

Jun 12 17:13:10 zeus kdm[2807]: X server for display :0 terminated unexpectedly
Jun 12 17:13:10 zeus restorecond: Will not restore a file with more than one
hard link (/etc/resolv.conf) No such file or directory 
Jun 12 17:13:10 zeus kernel: audit(1181661190.655:4): avc:  denied  { append }
for  pid=3373 comm="pam_console_app" name="kdm.log" dev=dm-2 ino=31812
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:xserver_log_t:s0 tclass=file
Comment 1 Daniel Walsh 2007-06-12 13:56:48 EDT
Fixed in selinux-policy-2.6.4-15
Comment 2 Jochen Schmitt 2007-06-12 14:36:31 EDT
For F-7 I have only found 2.6.4-14 on testing and cvs.
Comment 3 Daniel Walsh 2007-06-12 15:31:51 EDT
Yes I only  usually build at the end of the day.  Anyways this is only going to
be dontaudited so for now you can just ignore it.
Comment 4 Orion Poplawski 2007-10-02 11:19:23 EDT
I'm seeing:

Oct  1 17:15:27 loulu kernel: audit(1191280527.035:8): avc:  denied  { append }
for  pid=19259 comm="pam_console_app" name="kdm.log.1" dev=dm-4 ino=106606
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:var_log_t:s0 tclass=file

Problem seems to compounded by the fact that /var/log/kdm.log is logrotated, but
the kdm and X processes continue to write to the same file descriptor:

# lsof | grep kdm.log
kdm        2684      root    1w      REG      253,4     3461     106606
/var/log/kdm.log.1
kdm        2684      root    2w      REG      253,4     3461     106606
/var/log/kdm.log.1
X          2750      root    2w      REG      253,4     3461     106606
/var/log/kdm.log.1
kdm       19260      root    1w      REG      253,4     3461     106606
/var/log/kdm.log.1
kdm       19260      root    2w      REG      253,4     3461     106606
/var/log/kdm.log.1

So I think the real problem at the moment is with kdm, although we might want to
fix the labeling of the logrotated files.  Not sure what makes sense here.

# ls -lZ /var/log/kdm.log*
-rw-r--r--  root root system_u:object_r:xserver_log_t  /var/log/kdm.log
-rw-r--r--  root root system_u:object_r:var_log_t      /var/log/kdm.log.1
-rw-r--r--  root root system_u:object_r:var_log_t      /var/log/kdm.log.2
-rw-r--r--  root root system_u:object_r:var_log_t      /var/log/kdm.log.3
Comment 5 Daniel Walsh 2007-10-02 11:50:22 EDT
I think the main problem is a labeling problem.  

Current context has

/var/log/[kw]dm\.log	--	gen_context(system_u:object_r:xserver_log_t,s0)

So a relabel/restorecon would change the context from xserver_log_t to var_log_t.

Needs to change to
/var/log/[kw]dm\.log.*	--	gen_context(system_u:object_r:xserver_log_t,s0)

Not sure if pam_console_t should actually be appending to this log, or if this
is a leaked file descriptor.


Comment 6 Bug Zapper 2008-05-14 09:02:07 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Orion Poplawski 2008-05-14 11:19:21 EDT
I'm not seeing this anymore.

Note You need to log in before you can comment on or make changes to this bug.